Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d.ps
Class EPSDocumentGraphics2D

    java.lang.Object
      java.awt.Graphics
          java.awt.Graphics2D
              org.apache.xmlgraphics.java2d.AbstractGraphics2D
                  org.apache.xmlgraphics.java2d.ps.PSGraphics2D
                      org.apache.xmlgraphics.java2d.ps.AbstractPSDocumentGraphics2D
                          org.apache.xmlgraphics.java2d.ps.EPSDocumentGraphics2D

All Implemented Interfaces:
  Cloneable

    public class EPSDocumentGraphics2D

extends AbstractPSDocumentGraphics2D

This class is a wrapper for the `AbstractPSDocumentGraphics2D` that is used to create EPS (Encapsulated PostScript) files instead of PS file.

Version:
  $Id: EPSDocumentGraphics2D.java 1681108 2015-05-22 13:26:12Z ssteiner $
See Also:
  `PSGraphics2D`, `AbstractPSDocumentGraphics2D`

Field Summary

Fields inherited from class org.apache.xmlgraphics.java2d.ps.AbstractPSDocumentGraphics2D
`height, initialClip, initialTransform, pagecount, pagePending, viewportHeight, viewportWidth, width, ZERO`

Fields inherited from class org.apache.xmlgraphics.java2d.ps.PSGraphics2D
`clippingDisabled, currentColour, customTextHandler, fallbackTextHandler, gen, pathHashCache, rootG2D, startCache`

Fields inherited from class org.apache.xmlgraphics.java2d.AbstractGraphics2D
`gc, inPossibleRecursion, textAsShapes`

Constructor Summary
`EPSDocumentGraphics2D(boolean textAsShapes)` Create a new EPSDocumentGraphics2D.

Method Summary
`protected void` | `writeFileHeader()` Writes the file header.
`protected void` | `writePageHeader()` Writes the page header for a page.
`protected void` | `writePageTrailer()` Writes the page trailer for a page.

Methods inherited from class org.apache.xmlgraphics.java2d.ps.AbstractPSDocumentGraphics2D
`closePage, finish, getPageCount, nextPage, preparePainting, setBackgroundColor, setupDocument, setViewportDimension, startPage, writeProcSets`

Methods inherited from class org.apache.xmlgraphics.java2d.ps.PSGraphics2D
`applyPaint, applyStroke, applyStroke, buildBufferedImage, copyArea, create, disableClipping, dispose, doDrawing, draw, drawImage, drawImage, drawRenderableImage, drawRenderedImage, drawString, establishColor, fill, getCustomTextHandler, getDeviceConfiguration, getFallbackTextHandler, getFontMetrics, getPSGenerator, handleIOException, processPathIterator, processPathIteratorCached, processPathIteratorToString, processShape, setCustomTextHandler, setGraphicContext, setPSGenerator, setXORMode, shouldBeClipped, writeClip`

Methods inherited from class org.apache.xmlgraphics.java2d.AbstractGraphics2D
`addRenderingHints, clearRect, clip, clipRect, drawArc, drawGlyphVector, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawPolygon, drawPolyline, drawRect, drawRoundRect, drawString, drawString, drawString, fillArc, fillOval, fillPolygon, fillRect, fillRoundRect, getBackground, getClip, getClipBounds, getColor, getComposite, getFont, getFontRenderContext, getGraphicContext, getPaint, getRenderingHint, getRenderingHints, getStroke, getTransform, hit, rotate, rotate, scale, setBackground, setClip, setClip, setColor, setComposite, setFont, setPaint, setPaintMode, setRenderingHint, setRenderingHints, setStroke, setTransform, shear, transform, translate, translate`

Methods inherited from class java.awt.Graphics2D
`draw3DRect, fill3DRect`

Methods inherited from class java.awt.Graphics
`create, drawBytes, drawChars, drawPolygon, fillPolygon, finalize, getClipBounds, getClipRect, getFontMetrics, hitClip, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPSDocumentGraphics2D

    public EPSDocumentGraphics2D(boolean textAsShapes)

  Create a new EPSDocumentGraphics2D. This is used to create a new EPS document, the height, width and output stream can be setup later. For use by the transcoder which needs font information for the bridge before the document size is known. The resulting document is written to the stream after rendering.

  Parameters:
    `textAsShapes` - set this to true so that text will be rendered using curves and not the font.

Method Detail

### writeFileHeader

    protected void writeFileHeader()
                            throws IOException

  Writes the file header.

  Specified by:
    `writeFileHeader` in class `AbstractPSDocumentGraphics2D`
  Throws:
    `IOException` - if an I/O error occurs

### writePageHeader

    protected void writePageHeader()
                            throws IOException

  Writes the page header for a page.

  Specified by:
    `writePageHeader` in class `AbstractPSDocumentGraphics2D`
  Throws:
    `IOException` - In case an I/O error occurs

### writePageTrailer

    protected void writePageTrailer()
                             throws IOException

  Writes the page trailer for a page.

  Specified by:
    `writePageTrailer` in class `AbstractPSDocumentGraphics2D`
  Throws:
    `IOException` - In case an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.